Retrieve feedback

GET <baseURL>/feedbacks?clientId={clientId}&externalOrderId={externalOrderId}

This request retrieves feedback or ratings details from a prior delivery.

Example

The following example retrieves feedback for clientId of 2 and externalOrderId of 2824938598.

GET {baseURL}/feedbacks?clientId=2&externalOrderId=2824938598

Response:

{ "clientId": "2", "externalOrderId": "2824938598", "feedbackInfoList": [ { "feedbackId": "d3324b7f-9572-4b0a-a9ea-2b3e6f0b619e", "rating": 5, "comment": "Great experience", "receivedTime": "2022-10-20T16:40:09.198Z" }, { "feedbackId": "2216c7e6-7152-4eea-a501-7b985bccdcaf", "rating": 5, "comment": "On Time!", "receivedTime": "2023-01-10T17:22:12.429Z" } ]
}

See Also

To add a feedback for a delivery or delivery driver, see POST /feedbacks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Specifies the client identifier associated with the client.

Example: 49304

string
required

Specifies the external order identifier.

The externalOrderId is a value specified by the client at the time the order is placed.
This allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read.
The externalOrderId is different than the deliveryId, which is a value assigned by Walmart GoLocal at the
time the order is placed.
Regardless, the externalOrderId and deliveryId refer to the same delivery order.

Example: 465-RMN-TN

Headers
string
required

Specifies the literal value for Bearer \<authenticationToken\>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json